# Contributing

We love contributions from everyone.
By participating in this project,
you agree to abide by the [Code of Conduct].

  [code of conduct]: https://github.com/yuriyalekseyev/round_to/blob/master/CODE_OF_CONDUCT.md

## Contributing Code

1. [Fork] a repo.

    [fork]: https://github.com/yuriyalekseyev/round_to/fork

2. Install dependencies.
    
        bundle install
    
3. Create your feature branch.
    
        git checkout -b my-new-feature

4. Make sure the tests pass:
        
        rspec
    
    There is also a command to load up a REPL for playing around.
    
        bin/console
    
5. Make your change, with new passing tests.
Write a [good commit message].  
  
    [good commit message]: https://github.com/erlang/otp/wiki/Writing-good-commit-messages
    
        git commit -am 'Add some feature'
    
6. Push to your fork.  
    
        git push origin my-new-feature

7. Create a new [Pull Request].

    [pull request]: https://github.com/yuriyalekseyev/round_to/pulls

Others will give constructive feedback.

This is a time for discussion and improvements,
and making the necessary changes will be required before we can
merge the contribution.