lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rounder/version'

Gem::Specification.new do |spec|
  spec.name    = 'rounder'
  spec.version = Rounder::VERSION
  spec.authors = ['Yuriy Alekseyev']
  spec.email   = ['dev.yuriy.a@gmail.com']

  spec.summary     = 'Better rounding in Ruby'
  spec.description = 'Rounds any numeric value to any nearest multiple of the chosen step.'
  spec.homepage    = 'https://github.com/yuriyalekseyev/rounder'
  spec.license     = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.15', '>= 1.15.4'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'

  spec.required_ruby_version = '>= 2.0'
end
